#include <Wire.h>
#include <SparkFunSi4703.h>
#include <LiquidCrystal_I2C.h>
LiquidCrystal_I2C lcd(0x27, 16, 2); //Use I2C to save pin

////////////////////////////////////////////////////////////
const int BandPin = 9;     // Band button on Pin 10
int BandPushCounter = 0;    // var to count the push button
int BandState = 0;          //Var for state
int LastBandState = 0;     // Var before pushing button
///////////////////////////////////////////////////////////
int Send1PushCounter = 0;  
int Send2PushCounter = 0;  
int Send3PushCounter = 0;  
int Send4PushCounter = 0;
///////////////////////////////////////////////////////////

int resetPin = 2;
int SDIO = A4;
int SCLK = A5;

Si4703_Breakout radio(resetPin, SDIO, SCLK);
int channel = 1015; //nova
int channe2 = 1031; //RMC
int channe3 = 1023; //ouifm
int channe4 = 974; //rire

void setup()
{
  Wire.begin();
  radio.powerOn();
  radio.setVolume(10);
  radio.setChannel(channel); //default NOVA
  lcd.init();
  lcd.backlight();
  lcd.setCursor(0, 0);
  lcd.print("You're listening");
}

void loop()
{
 {  
   BandState = digitalRead(BandPin);
   if (BandState != LastBandState)
   {
      if (BandState == LOW)  
      BandPushCounter++;
     LastBandState = BandState;
  }
  if (BandPushCounter == 0)
  { 
    Send4PushCounter = 0;
   
    lcd.setCursor(0, 1);
    lcd.print("               ");
    lcd.setCursor(6, 1);
    lcd.print("NOVA");
    send1();
    }
  else if (BandPushCounter == 1)
  {
    Send1PushCounter = 0;
    
    lcd.setCursor(0, 1);
    lcd.print("               ");
    lcd.setCursor(6, 1);
    lcd.print("RMC"); 
    send2();
    } 
  else if (BandPushCounter == 2)
  {
    Send2PushCounter = 0;
    
    lcd.setCursor(0, 1);
    lcd.print("               ");
    lcd.setCursor(5, 1);
    lcd.print("OUI FM");
    send3();
    } 
      else if (BandPushCounter == 3)
  {
    Send3PushCounter = 0;
   
    lcd.setCursor(0, 1);
    lcd.print("               ");
    lcd.setCursor(3, 1);
    lcd.print("RIRE & Ch");
    send4();
    } 
  else if (BandPushCounter == 4)
     BandPushCounter = 0; //reset the counter to 0
}
}
